// source: v1/message_web/message.proto
/**
 * @fileoverview
 * @enhanceable
 * @suppress {messageConventions} JS Compiler reports an error if a variable or
 *     field starts with 'MSG_' and isn't a translatable message.
 * @public
 */
// GENERATED CODE -- DO NOT EDIT!

var jspb = require('google-protobuf');
var goog = jspb;
var global = Function('return this')();

var google_protobuf_empty_pb = require('google-protobuf/google/protobuf/empty_pb.js');
goog.object.extend(proto, google_protobuf_empty_pb);
var google_protobuf_timestamp_pb = require('google-protobuf/google/protobuf/timestamp_pb.js');
goog.object.extend(proto, google_protobuf_timestamp_pb);
var google_protobuf_wrappers_pb = require('google-protobuf/google/protobuf/wrappers_pb.js');
goog.object.extend(proto, google_protobuf_wrappers_pb);
var v1_message_web_common_common_pb = require('../../v1/message_web_common/common_pb.js');
goog.object.extend(proto, v1_message_web_common_common_pb);
goog.exportSymbol('proto.fcp.message_web.v1.GetMessagesRequest', null, global);
goog.exportSymbol('proto.fcp.message_web.v1.GetMessagesResponse', null, global);
goog.exportSymbol('proto.fcp.message_web.v1.Message', null, global);
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message_web.v1.GetMessagesRequest = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.message_web.v1.GetMessagesRequest.repeatedFields_, null);
};
goog.inherits(proto.fcp.message_web.v1.GetMessagesRequest, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message_web.v1.GetMessagesRequest.displayName = 'proto.fcp.message_web.v1.GetMessagesRequest';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message_web.v1.GetMessagesResponse = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, proto.fcp.message_web.v1.GetMessagesResponse.repeatedFields_, null);
};
goog.inherits(proto.fcp.message_web.v1.GetMessagesResponse, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message_web.v1.GetMessagesResponse.displayName = 'proto.fcp.message_web.v1.GetMessagesResponse';
}
/**
 * Generated by JsPbCodeGenerator.
 * @param {Array=} opt_data Optional initial data array, typically from a
 * server response, or constructed directly in Javascript. The array is used
 * in place and becomes part of the constructed object. It is not cloned.
 * If no data is provided, the constructed object will be empty, but still
 * valid.
 * @extends {jspb.Message}
 * @constructor
 */
proto.fcp.message_web.v1.Message = function(opt_data) {
  jspb.Message.initialize(this, opt_data, 0, -1, null, null);
};
goog.inherits(proto.fcp.message_web.v1.Message, jspb.Message);
if (goog.DEBUG && !COMPILED) {
  /**
   * @public
   * @override
   */
  proto.fcp.message_web.v1.Message.displayName = 'proto.fcp.message_web.v1.Message';
}

/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.message_web.v1.GetMessagesRequest.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message_web.v1.GetMessagesRequest.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message_web.v1.GetMessagesRequest} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.GetMessagesRequest.toObject = function(includeInstance, msg) {
  var f, obj = {
    sortList: jspb.Message.toObjectList(msg.getSortList(),
    v1_message_web_common_common_pb.Sort.toObject, includeInstance),
    userTo: (f = msg.getUserTo()) && google_protobuf_wrappers_pb.StringValue.toObject(includeInstance, f),
    delivery: (f = msg.getDelivery()) && google_protobuf_wrappers_pb.BoolValue.toObject(includeInstance, f),
    sendAt: (f = msg.getSendAt()) && v1_message_web_common_common_pb.TimeRange.toObject(includeInstance, f)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest}
 */
proto.fcp.message_web.v1.GetMessagesRequest.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message_web.v1.GetMessagesRequest;
  return proto.fcp.message_web.v1.GetMessagesRequest.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message_web.v1.GetMessagesRequest} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest}
 */
proto.fcp.message_web.v1.GetMessagesRequest.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new v1_message_web_common_common_pb.Sort;
      reader.readMessage(value,v1_message_web_common_common_pb.Sort.deserializeBinaryFromReader);
      msg.addSort(value);
      break;
    case 2:
      var value = new google_protobuf_wrappers_pb.StringValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.StringValue.deserializeBinaryFromReader);
      msg.setUserTo(value);
      break;
    case 3:
      var value = new google_protobuf_wrappers_pb.BoolValue;
      reader.readMessage(value,google_protobuf_wrappers_pb.BoolValue.deserializeBinaryFromReader);
      msg.setDelivery(value);
      break;
    case 4:
      var value = new v1_message_web_common_common_pb.TimeRange;
      reader.readMessage(value,v1_message_web_common_common_pb.TimeRange.deserializeBinaryFromReader);
      msg.setSendAt(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message_web.v1.GetMessagesRequest.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message_web.v1.GetMessagesRequest} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.GetMessagesRequest.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getSortList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      v1_message_web_common_common_pb.Sort.serializeBinaryToWriter
    );
  }
  f = message.getUserTo();
  if (f != null) {
    writer.writeMessage(
      2,
      f,
      google_protobuf_wrappers_pb.StringValue.serializeBinaryToWriter
    );
  }
  f = message.getDelivery();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_wrappers_pb.BoolValue.serializeBinaryToWriter
    );
  }
  f = message.getSendAt();
  if (f != null) {
    writer.writeMessage(
      4,
      f,
      v1_message_web_common_common_pb.TimeRange.serializeBinaryToWriter
    );
  }
};


/**
 * repeated Sort sort = 1;
 * @return {!Array<!proto.fcp.message_web.v1.Sort>}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.getSortList = function() {
  return /** @type{!Array<!proto.fcp.message_web.v1.Sort>} */ (
    jspb.Message.getRepeatedWrapperField(this, v1_message_web_common_common_pb.Sort, 1));
};


/**
 * @param {!Array<!proto.fcp.message_web.v1.Sort>} value
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
*/
proto.fcp.message_web.v1.GetMessagesRequest.prototype.setSortList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.message_web.v1.Sort=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.message_web.v1.Sort}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.addSort = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.message_web.v1.Sort, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.clearSortList = function() {
  return this.setSortList([]);
};


/**
 * optional google.protobuf.StringValue user_to = 2;
 * @return {?proto.google.protobuf.StringValue}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.getUserTo = function() {
  return /** @type{?proto.google.protobuf.StringValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.StringValue, 2));
};


/**
 * @param {?proto.google.protobuf.StringValue|undefined} value
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
*/
proto.fcp.message_web.v1.GetMessagesRequest.prototype.setUserTo = function(value) {
  return jspb.Message.setWrapperField(this, 2, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.clearUserTo = function() {
  return this.setUserTo(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.hasUserTo = function() {
  return jspb.Message.getField(this, 2) != null;
};


/**
 * optional google.protobuf.BoolValue delivery = 3;
 * @return {?proto.google.protobuf.BoolValue}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.getDelivery = function() {
  return /** @type{?proto.google.protobuf.BoolValue} */ (
    jspb.Message.getWrapperField(this, google_protobuf_wrappers_pb.BoolValue, 3));
};


/**
 * @param {?proto.google.protobuf.BoolValue|undefined} value
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
*/
proto.fcp.message_web.v1.GetMessagesRequest.prototype.setDelivery = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.clearDelivery = function() {
  return this.setDelivery(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.hasDelivery = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional TimeRange send_at = 4;
 * @return {?proto.fcp.message_web.v1.TimeRange}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.getSendAt = function() {
  return /** @type{?proto.fcp.message_web.v1.TimeRange} */ (
    jspb.Message.getWrapperField(this, v1_message_web_common_common_pb.TimeRange, 4));
};


/**
 * @param {?proto.fcp.message_web.v1.TimeRange|undefined} value
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
*/
proto.fcp.message_web.v1.GetMessagesRequest.prototype.setSendAt = function(value) {
  return jspb.Message.setWrapperField(this, 4, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message_web.v1.GetMessagesRequest} returns this
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.clearSendAt = function() {
  return this.setSendAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message_web.v1.GetMessagesRequest.prototype.hasSendAt = function() {
  return jspb.Message.getField(this, 4) != null;
};



/**
 * List of repeated fields within this message type.
 * @private {!Array<number>}
 * @const
 */
proto.fcp.message_web.v1.GetMessagesResponse.repeatedFields_ = [1];



if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message_web.v1.GetMessagesResponse.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message_web.v1.GetMessagesResponse.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message_web.v1.GetMessagesResponse} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.GetMessagesResponse.toObject = function(includeInstance, msg) {
  var f, obj = {
    messagesList: jspb.Message.toObjectList(msg.getMessagesList(),
    proto.fcp.message_web.v1.Message.toObject, includeInstance)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message_web.v1.GetMessagesResponse}
 */
proto.fcp.message_web.v1.GetMessagesResponse.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message_web.v1.GetMessagesResponse;
  return proto.fcp.message_web.v1.GetMessagesResponse.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message_web.v1.GetMessagesResponse} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message_web.v1.GetMessagesResponse}
 */
proto.fcp.message_web.v1.GetMessagesResponse.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = new proto.fcp.message_web.v1.Message;
      reader.readMessage(value,proto.fcp.message_web.v1.Message.deserializeBinaryFromReader);
      msg.addMessages(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message_web.v1.GetMessagesResponse.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message_web.v1.GetMessagesResponse.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message_web.v1.GetMessagesResponse} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.GetMessagesResponse.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getMessagesList();
  if (f.length > 0) {
    writer.writeRepeatedMessage(
      1,
      f,
      proto.fcp.message_web.v1.Message.serializeBinaryToWriter
    );
  }
};


/**
 * repeated Message messages = 1;
 * @return {!Array<!proto.fcp.message_web.v1.Message>}
 */
proto.fcp.message_web.v1.GetMessagesResponse.prototype.getMessagesList = function() {
  return /** @type{!Array<!proto.fcp.message_web.v1.Message>} */ (
    jspb.Message.getRepeatedWrapperField(this, proto.fcp.message_web.v1.Message, 1));
};


/**
 * @param {!Array<!proto.fcp.message_web.v1.Message>} value
 * @return {!proto.fcp.message_web.v1.GetMessagesResponse} returns this
*/
proto.fcp.message_web.v1.GetMessagesResponse.prototype.setMessagesList = function(value) {
  return jspb.Message.setRepeatedWrapperField(this, 1, value);
};


/**
 * @param {!proto.fcp.message_web.v1.Message=} opt_value
 * @param {number=} opt_index
 * @return {!proto.fcp.message_web.v1.Message}
 */
proto.fcp.message_web.v1.GetMessagesResponse.prototype.addMessages = function(opt_value, opt_index) {
  return jspb.Message.addToRepeatedWrapperField(this, 1, opt_value, proto.fcp.message_web.v1.Message, opt_index);
};


/**
 * Clears the list making it empty but non-null.
 * @return {!proto.fcp.message_web.v1.GetMessagesResponse} returns this
 */
proto.fcp.message_web.v1.GetMessagesResponse.prototype.clearMessagesList = function() {
  return this.setMessagesList([]);
};





if (jspb.Message.GENERATE_TO_OBJECT) {
/**
 * Creates an object representation of this proto.
 * Field names that are reserved in JavaScript and will be renamed to pb_name.
 * Optional fields that are not set will be set to undefined.
 * To access a reserved field use, foo.pb_<name>, eg, foo.pb_default.
 * For the list of reserved names please see:
 *     net/proto2/compiler/js/internal/generator.cc#kKeyword.
 * @param {boolean=} opt_includeInstance Deprecated. whether to include the
 *     JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @return {!Object}
 */
proto.fcp.message_web.v1.Message.prototype.toObject = function(opt_includeInstance) {
  return proto.fcp.message_web.v1.Message.toObject(opt_includeInstance, this);
};


/**
 * Static version of the {@see toObject} method.
 * @param {boolean|undefined} includeInstance Deprecated. Whether to include
 *     the JSPB instance for transitional soy proto support:
 *     http://goto/soy-param-migration
 * @param {!proto.fcp.message_web.v1.Message} msg The msg instance to transform.
 * @return {!Object}
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.Message.toObject = function(includeInstance, msg) {
  var f, obj = {
    id: jspb.Message.getFieldWithDefault(msg, 1, 0),
    messageType: jspb.Message.getFieldWithDefault(msg, 2, 0),
    sendAt: (f = msg.getSendAt()) && google_protobuf_timestamp_pb.Timestamp.toObject(includeInstance, f),
    messageBody: jspb.Message.getFieldWithDefault(msg, 4, ""),
    userFrom: jspb.Message.getFieldWithDefault(msg, 5, ""),
    delivery: jspb.Message.getBooleanFieldWithDefault(msg, 6, false)
  };

  if (includeInstance) {
    obj.$jspbMessageInstance = msg;
  }
  return obj;
};
}


/**
 * Deserializes binary data (in protobuf wire format).
 * @param {jspb.ByteSource} bytes The bytes to deserialize.
 * @return {!proto.fcp.message_web.v1.Message}
 */
proto.fcp.message_web.v1.Message.deserializeBinary = function(bytes) {
  var reader = new jspb.BinaryReader(bytes);
  var msg = new proto.fcp.message_web.v1.Message;
  return proto.fcp.message_web.v1.Message.deserializeBinaryFromReader(msg, reader);
};


/**
 * Deserializes binary data (in protobuf wire format) from the
 * given reader into the given message object.
 * @param {!proto.fcp.message_web.v1.Message} msg The message object to deserialize into.
 * @param {!jspb.BinaryReader} reader The BinaryReader to use.
 * @return {!proto.fcp.message_web.v1.Message}
 */
proto.fcp.message_web.v1.Message.deserializeBinaryFromReader = function(msg, reader) {
  while (reader.nextField()) {
    if (reader.isEndGroup()) {
      break;
    }
    var field = reader.getFieldNumber();
    switch (field) {
    case 1:
      var value = /** @type {number} */ (reader.readUint64());
      msg.setId(value);
      break;
    case 2:
      var value = /** @type {number} */ (reader.readUint32());
      msg.setMessageType(value);
      break;
    case 3:
      var value = new google_protobuf_timestamp_pb.Timestamp;
      reader.readMessage(value,google_protobuf_timestamp_pb.Timestamp.deserializeBinaryFromReader);
      msg.setSendAt(value);
      break;
    case 4:
      var value = /** @type {string} */ (reader.readString());
      msg.setMessageBody(value);
      break;
    case 5:
      var value = /** @type {string} */ (reader.readString());
      msg.setUserFrom(value);
      break;
    case 6:
      var value = /** @type {boolean} */ (reader.readBool());
      msg.setDelivery(value);
      break;
    default:
      reader.skipField();
      break;
    }
  }
  return msg;
};


/**
 * Serializes the message to binary data (in protobuf wire format).
 * @return {!Uint8Array}
 */
proto.fcp.message_web.v1.Message.prototype.serializeBinary = function() {
  var writer = new jspb.BinaryWriter();
  proto.fcp.message_web.v1.Message.serializeBinaryToWriter(this, writer);
  return writer.getResultBuffer();
};


/**
 * Serializes the given message to binary data (in protobuf wire
 * format), writing to the given BinaryWriter.
 * @param {!proto.fcp.message_web.v1.Message} message
 * @param {!jspb.BinaryWriter} writer
 * @suppress {unusedLocalVariables} f is only used for nested messages
 */
proto.fcp.message_web.v1.Message.serializeBinaryToWriter = function(message, writer) {
  var f = undefined;
  f = message.getId();
  if (f !== 0) {
    writer.writeUint64(
      1,
      f
    );
  }
  f = message.getMessageType();
  if (f !== 0) {
    writer.writeUint32(
      2,
      f
    );
  }
  f = message.getSendAt();
  if (f != null) {
    writer.writeMessage(
      3,
      f,
      google_protobuf_timestamp_pb.Timestamp.serializeBinaryToWriter
    );
  }
  f = message.getMessageBody();
  if (f.length > 0) {
    writer.writeString(
      4,
      f
    );
  }
  f = message.getUserFrom();
  if (f.length > 0) {
    writer.writeString(
      5,
      f
    );
  }
  f = message.getDelivery();
  if (f) {
    writer.writeBool(
      6,
      f
    );
  }
};


/**
 * optional uint64 id = 1;
 * @return {number}
 */
proto.fcp.message_web.v1.Message.prototype.getId = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 1, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.setId = function(value) {
  return jspb.Message.setProto3IntField(this, 1, value);
};


/**
 * optional uint32 message_type = 2;
 * @return {number}
 */
proto.fcp.message_web.v1.Message.prototype.getMessageType = function() {
  return /** @type {number} */ (jspb.Message.getFieldWithDefault(this, 2, 0));
};


/**
 * @param {number} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.setMessageType = function(value) {
  return jspb.Message.setProto3IntField(this, 2, value);
};


/**
 * optional google.protobuf.Timestamp send_at = 3;
 * @return {?proto.google.protobuf.Timestamp}
 */
proto.fcp.message_web.v1.Message.prototype.getSendAt = function() {
  return /** @type{?proto.google.protobuf.Timestamp} */ (
    jspb.Message.getWrapperField(this, google_protobuf_timestamp_pb.Timestamp, 3));
};


/**
 * @param {?proto.google.protobuf.Timestamp|undefined} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
*/
proto.fcp.message_web.v1.Message.prototype.setSendAt = function(value) {
  return jspb.Message.setWrapperField(this, 3, value);
};


/**
 * Clears the message field making it undefined.
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.clearSendAt = function() {
  return this.setSendAt(undefined);
};


/**
 * Returns whether this field is set.
 * @return {boolean}
 */
proto.fcp.message_web.v1.Message.prototype.hasSendAt = function() {
  return jspb.Message.getField(this, 3) != null;
};


/**
 * optional string message_body = 4;
 * @return {string}
 */
proto.fcp.message_web.v1.Message.prototype.getMessageBody = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 4, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.setMessageBody = function(value) {
  return jspb.Message.setProto3StringField(this, 4, value);
};


/**
 * optional string user_from = 5;
 * @return {string}
 */
proto.fcp.message_web.v1.Message.prototype.getUserFrom = function() {
  return /** @type {string} */ (jspb.Message.getFieldWithDefault(this, 5, ""));
};


/**
 * @param {string} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.setUserFrom = function(value) {
  return jspb.Message.setProto3StringField(this, 5, value);
};


/**
 * optional bool delivery = 6;
 * @return {boolean}
 */
proto.fcp.message_web.v1.Message.prototype.getDelivery = function() {
  return /** @type {boolean} */ (jspb.Message.getBooleanFieldWithDefault(this, 6, false));
};


/**
 * @param {boolean} value
 * @return {!proto.fcp.message_web.v1.Message} returns this
 */
proto.fcp.message_web.v1.Message.prototype.setDelivery = function(value) {
  return jspb.Message.setProto3BooleanField(this, 6, value);
};


goog.object.extend(exports, proto.fcp.message_web.v1);
